/*
 * Licensed Materials - Property of IBM 
 * OSGi Applications Counter Sample
 *  Copyright IBM Corporation 2010. All Rights Reserved 
 * U.S. Government Users Restricted Rights -  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
package com.ibm.ws.eba.counter;

import com.ibm.ws.eba.world.World;

public class GreetImpl implements Greet {
	
	private Counter counter;
	private World worldBean;
	
	public void setCounter(Counter c) {
		counter = c;
	}
	
	public void setWorldBean(World w) {
		worldBean = w;
	}
	
	public String getText() {
		return counter.getCount() + " Hello" + worldBean.getText();
	}
	
	public void init() {
		System.out.println("GreetImpl.init() called.");
	}
}
